org.apache.poi.hsmf.datatypes

## Class Types

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.Types

-     public final class Types
      extends java.lang.Object

  The types list and details are available from http://msdn.microsoft.com/en-us/library/microsoft.exchange.data.contenttypes.tnef.tnefpropertytype%28v=EXCHG.140%29.aspx

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Types.MAPIType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Types.MAPIType` | `APP_TIME` AppTime - application time value
    `static Types.MAPIType` | `ASCII_STRING` An 8-bit string, probably in CP1252, but don't quote us...
    `static Types.MAPIType` | `BINARY` Binary - counted byte array
    `static Types.MAPIType` | `BOOLEAN` Boolean - 16-bit Boolean value.
    `static Types.MAPIType` | `CLS_ID` ClassId - OLE GUID
    `static Types.MAPIType` | `CURRENCY` Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point
    `static Types.MAPIType` | `DIRECTORY` Object/Directory - embedded object in a property
    `static Types.MAPIType` | `DOUBLE` Double - floating point double
    `static Types.MAPIType` | `ERROR` Error - 32-bit error value
    `static Types.MAPIType` | `FLOAT` R4 - 4-byte floating point value
    `static Types.MAPIType` | `LONG` Long - signed 32-bit value
    `static Types.MAPIType` | `LONG_LONG` I8 - 8-byte signed integer
    `static int` | `MULTIVALUED_FLAG` MultiValued - Value part contains multiple values
    `static Types.MAPIType` | `NULL` Null - NULL property value
    `static Types.MAPIType` | `SHORT` I2 - signed 16-bit value
    `static Types.MAPIType` | `TIME` SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601
    `static Types.MAPIType` | `UNICODE_STRING` A string, from Outlook 3.0 onwards.
    `static Types.MAPIType` | `UNKNOWN` Unknown
    `static Types.MAPIType` | `UNSPECIFIED` Unspecified

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `asFileEnding(int type)`
    `static java.lang.String` | `asName(int typeId)`
    `static Types.MAPIType` | `createCustom(int typeId)`
    `static Types.MAPIType` | `getById(int typeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final Types.MAPIType UNSPECIFIED

      Unspecified

    - #### UNKNOWN

          public static final Types.MAPIType UNKNOWN

      Unknown

    - #### NULL

          public static final Types.MAPIType NULL

      Null - NULL property value

    - #### SHORT

          public static final Types.MAPIType SHORT

      I2 - signed 16-bit value

    - #### LONG

          public static final Types.MAPIType LONG

      Long - signed 32-bit value

    - #### FLOAT

          public static final Types.MAPIType FLOAT

      R4 - 4-byte floating point value

    - #### DOUBLE

          public static final Types.MAPIType DOUBLE

      Double - floating point double

    - #### CURRENCY

          public static final Types.MAPIType CURRENCY

      Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point

    - #### APP_TIME

          public static final Types.MAPIType APP_TIME

      AppTime - application time value

    - #### ERROR

          public static final Types.MAPIType ERROR

      Error - 32-bit error value

    - #### BOOLEAN

          public static final Types.MAPIType BOOLEAN

      Boolean - 16-bit Boolean value. '0' is false. Non-zero is true

    - #### DIRECTORY

          public static final Types.MAPIType DIRECTORY

      Object/Directory - embedded object in a property

    - #### LONG_LONG

          public static final Types.MAPIType LONG_LONG

      I8 - 8-byte signed integer

    - #### TIME

          public static final Types.MAPIType TIME

      SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601

    - #### CLS_ID

          public static final Types.MAPIType CLS_ID

      ClassId - OLE GUID

    - #### BINARY

          public static final Types.MAPIType BINARY

      Binary - counted byte array

    - #### ASCII_STRING

          public static final Types.MAPIType ASCII_STRING

      An 8-bit string, probably in CP1252, but don't quote us... Normally used for everything before Outlook 3.0, and some fields in Outlook 3.0.

    - #### UNICODE_STRING

          public static final Types.MAPIType UNICODE_STRING

      A string, from Outlook 3.0 onwards. Normally unicode

    - #### MULTIVALUED_FLAG

          public static final int MULTIVALUED_FLAG

      MultiValued - Value part contains multiple values
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Types

          public Types()

  - ### Method Detail

    - #### getById

          public static Types.MAPIType getById(int typeId)

    - #### asFileEnding

          public static java.lang.String asFileEnding(int type)

    - #### asName

          public static java.lang.String asName(int typeId)

    - #### createCustom

          public static Types.MAPIType createCustom(int typeId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.